/* --------------------------------------------------------------------------
 * Copyright 1992 by Forschungszentrum Informatik (FZI)
 *
 * You can use and distribute this software under the terms of the licence
 * you should have received along with this program.
 * If not or if you want additional information, write to
 * Forschungszentrum Informatik, "STONE", Haid-und-Neu-Strasse 10-14,
 * D-7500 Karlsruhe 1, Germany.
 * --------------------------------------------------------------------------
 */
#include "cfe_err.h"

const err_msg err_CFE_AMBIGUOUS_GEN_PARAMS="ambiguous generic parameters";
const err_msg err_CFE_AMBIGUOUS_METHODS="ambiguous methods";
const err_msg err_CFE_ASSIGN_WITHOUT_EQUAL="assign is defined but equal is not";
const err_msg err_CFE_CLASS_EXPECTED="class name expected";
const err_msg err_CFE_GENERIC_TYPE_EXPECTED="generic type expected";
const err_msg err_CFE_EQUAL_WITHOUT_HASH="equal is defined but hash_value is not";
const err_msg err_CFE_FULL_GENERIC="type was used as class name; no generic allowed";
const err_msg err_CFE_GEN_PARAM_MISMATCH="generic parameter mismatch";
const err_msg err_CFE_INTERNAL="internal compiler error";
const err_msg err_CFE_INVALID_EXT_SIZE="invalid size for external type";
const err_msg err_CFE_INVALID_IMPORT="invalid name of imported module";
const err_msg err_CFE_INVALID_LOCAL_METHOD="invalid signature of local method";
const err_msg err_CFE_INVALID_OVERLOADING="invalid overloading";
const err_msg err_CFE_INVALID_REDEFINITION="invalid redefinition";
const err_msg err_CFE_LEXICAL_ERROR="lexical error";
const err_msg err_CFE_MULTIPLE_TYPE_DECL="multiple type declaration";
const err_msg err_CFE_NO_FILE="no file";
const err_msg err_CFE_NO_GENERIC_TYPE="generic type not allowed";
const err_msg err_CFE_NO_KERNEL="no kernel schema";
const err_msg err_CFE_NOT_DECLARED="no declaration in schema";
const err_msg err_CFE_RESERVED_SCHEMA_NAME="schema name is reserved";
const err_msg err_CFE_SCRAMBLED_INSTANTIATION="scrambled generic instantiation";
const err_msg err_CFE_TOO_MANY_LITERALS="too many literals";
const err_msg err_CFE_UNDECL_CLASS="undeclared class";
const err_msg err_CFE_UNKNOWN_TYPE="unknown type";
const err_msg err_CFE_USAGE="usage: cfe [-E] <input file>";

const err_msg err_CFE_NO_ABSTRACT_FUNCS="abstract functions not yet implemented";
const err_msg err_CFE_NO_DEFINITE_FUNCS="definite functions not yet implemented";
const err_msg err_CFE_NO_LOCAL_FUNCS="local functions not allowed";
const err_msg err_CFE_NO_VALUE_FUNCS="value functions not allowed";

const err_msg err_CFE_NO_DEFINITE_COMPS="definite components not yet implemented";
const err_msg err_CFE_NO_STATIC_COMPS="static components not yet implemented";
const err_msg err_CFE_NO_VALUE_COMPS="value components not yet implemented";

/* --- old error messages ---
   const err_msg err_CFE_CONV_OP_ERROR="conversion operator with parameters";
   const err_msg err_CFE_INVALID_CREATE_PARAMS="invalid create parameters";
   const err_msg err_CFE_MISSING_INIT="missing initialization";
   const err_msg err_CFE_RESERVED_METHOD_NAME="method name is reserved";
   const err_msg err_CFE_SUPER_CLASS_NOT_IMPL="instance as super class not implemented";
   const err_msg err_CFE_SYNTAX_ERROR="syntax error";
   const err_msg err_CFE_NO_REF_FOR_GEN_PARAM="generic parameter type not allowed for reference parameter";
*/
