/* --------------------------------------------------------------------------
 * Copyright 1992 by Forschungszentrum Informatik (FZI)
 *
 * You can use and distribute this software under the terms of the licence
 * you should have received along with this program.
 * If not or if you want additional information, write to
 * Forschungszentrum Informatik, "STONE", Haid-und-Neu-Strasse 10-14,
 * D-7500 Karlsruhe 1, Germany.
 * --------------------------------------------------------------------------
 */
#ifndef ERRCFEH
#define ERRCFEH 1

#include "err.h"

extern const err_msg err_CFE_AMBIGUOUS_GEN_PARAMS;
extern const err_msg err_CFE_AMBIGUOUS_METHODS;
extern const err_msg err_CFE_ASSIGN_WITHOUT_EQUAL;
extern const err_msg err_CFE_CLASS_EXPECTED;
extern const err_msg err_CFE_EQUAL_WITHOUT_HASH;
extern const err_msg err_CFE_FULL_GENERIC;
extern const err_msg err_CFE_GEN_PARAM_MISMATCH;
extern const err_msg err_CFE_GENERIC_TYPE_EXPECTED;
extern const err_msg err_CFE_INTERNAL;
extern const err_msg err_CFE_INVALID_EXT_SIZE;
extern const err_msg err_CFE_INVALID_IMPORT;
extern const err_msg err_CFE_INVALID_LOCAL_METHOD;
extern const err_msg err_CFE_INVALID_OVERLOADING;
extern const err_msg err_CFE_INVALID_REDEFINITION;
extern const err_msg err_CFE_LEXICAL_ERROR;
extern const err_msg err_CFE_MULTIPLE_TYPE_DECL;
extern const err_msg err_CFE_NO_FILE;
extern const err_msg err_CFE_NO_GENERIC_TYPE;
extern const err_msg err_CFE_NO_KERNEL;
extern const err_msg err_CFE_NOT_DECLARED;
extern const err_msg err_CFE_RESERVED_SCHEMA_NAME;
extern const err_msg err_CFE_SCRAMBLED_INSTANTIATION;
extern const err_msg err_CFE_TOO_MANY_LITERALS;
extern const err_msg err_CFE_UNDECL_CLASS;
extern const err_msg err_CFE_UNKNOWN_TYPE;
extern const err_msg err_CFE_USAGE;

extern const err_msg err_CFE_NO_ABSTRACT_FUNCS;
extern const err_msg err_CFE_NO_DEFINITE_FUNCS;
extern const err_msg err_CFE_NO_LOCAL_FUNCS;
extern const err_msg err_CFE_NO_VALUE_FUNCS;
extern const err_msg err_CFE_NO_DEFINITE_COMPS;
extern const err_msg err_CFE_NO_STATIC_COMPS;
extern const err_msg err_CFE_NO_VALUE_COMPS;
#endif
