# include "stdio.h"
# define U(x) x
# define NLSTATE yyprevious=YYNEWLINE
# define BEGIN yybgin = yysvec + 1 +
# define INITIAL 0
# define YYLERR yysvec
# define YYSTATE (yyestate-yysvec-1)
# define YYOPTIM 1
# define YYLMAX BUFSIZ
# define output(c) putc(c,yyout)
# define input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
# define unput(c) {yytchar= (c);if(yytchar=='\n')yylineno--;*yysptr++=yytchar;}
# define yymore() (yymorfg=1)
# define ECHO fprintf(yyout, "%s",yytext)
# define REJECT { nstr = yyreject(); goto yyfussy;}
int yyleng; extern char yytext[];
int yymorfg;
extern char *yysptr, yysbuf[];
int yytchar;
FILE *yyin = {stdin}, *yyout = {stdout};
extern int yylineno;
struct yysvf { 
	struct yywork *yystoff;
	struct yysvf *yyother;
	int *yystops;};
struct yysvf *yyestate;
extern struct yysvf yysvec[], *yybgin;
 /* --------------------------------------------------------------------------
  * Copyright 1992 by Forschungszentrum Informatik (FZI)
  *
  * You can use and distribute this software under the terms of the licence
  * you should have received along with this program.
  * If not or if you want additional information, write to
  * Forschungszentrum Informatik, "STONE", Haid-und-Neu-Strasse 10-14,
  * D-7500 Karlsruhe 1, Germany.
  * --------------------------------------------------------------------------
  */
extern "C" int yywrap();
extern "C" int yylook();
extern "C" int yyback(int*, int);
extern "C" YYSTYPE yylval;
extern "C" void yyecho();

static int name_or_keyword ()
{  switch (yytext[0])
   {  case 'a':
         if (streql (yytext, "abstract")) return abstract_tok;
	 break;
      case 'c':
         if (streql (yytext, "class")) return class_tok;
	 break;
      case 'd':
         if (streql (yytext, "definite")) return definite_tok;
	 break;
      case 'e':
         if (streql (yytext, "enum")) return enum_tok;
         if (streql (yytext, "extern")) return extern_tok;
	 break;
      case 'f':
         if (streql (yytext, "friend")) return friend_tok;
	 break;
      case 'l':
         if (streql (yytext, "local")) return local_tok;
	 break;
      case 'o':
         if (streql (yytext, "operator")) return operator_tok;
	 break;
      case 'p':
         if (streql (yytext, "private")) return private_tok;
         if (streql (yytext, "protected")) return protected_tok;
         if (streql (yytext, "public")) return public_tok;
	 break;
      case 's':
         if (streql (yytext, "set")) return set_tok;
         if (streql (yytext, "schema")) return schema_tok;
         if (streql (yytext, "static")) return static_tok;
	 break;
      case 't':
         if (streql (yytext, "typedef")) return typedef_tok;
	 break;
      case 'u':
         if (streql (yytext, "union")) return union_tok;
	 break;
      case 'w':
         if (streql (yytext, "with")) return with_tok;
	 break;
      default:
	 break;
   }
   return name_tok;
}

# define comment 2
# define YYNEWLINE 10
yylex(){
int nstr; extern int yyprevious;
while((nstr = yylook()) >= 0)
yyfussy: switch(nstr){
case 0:
if(yywrap()) return(0); break;
case 1:
		{yyecho(); BEGIN comment;}
break;
case 2:
{yyecho();}
break;
case 3:
{yyecho(); BEGIN 0;}
break;
case 4:
{yymore();}
break;
case 5:
	{yyecho();}
break;
case 6:
		{yyecho(); return l_abr_tok;}
break;
case 7:
		{yyecho(); return r_abr_tok;}
break;
case 8:
		{yyecho(); return ampersand_tok;}
break;
case 9:
		{yyecho(); return ampersand_assign_tok;}
break;
case 10:
		{yyecho(); return and_tok;}
break;
case 11:
		{yyecho(); return assign_tok;}
break;
case 12:
		{yyecho(); return bar_tok;}
break;
case 13:
		{yyecho(); return bar_assign_tok;}
break;
case 14:
		{yyecho(); return l_br_tok;}
break;
case 15:
		{yyecho(); return r_br_tok;}
break;
case 16:
		{yyecho(); return l_brc_tok;}
break;
case 17:
		{yyecho(); return r_brc_tok;}
break;
case 18:
		{yyecho(); return circumflex_tok;}
break;
case 19:
		{yyecho(); return circumflex_assign_tok;}
break;
case 20:
		{yyecho(); return colon_tok;}
break;
case 21:
		{yyecho(); return comma_tok;}
break;
case 22:
		{yyecho(); return equal_tok;}
break;
case 23:
		{yyecho(); return greater_equal_tok;}
break;
case 24:
		{yyecho(); return less_equal_tok;}
break;
case 25:
		{yyecho(); return minus_tok;}
break;
case 26:
		{yyecho(); return minus_assign_tok;}
break;
case 27:
		{yyecho(); return not_equal_tok;}
break;
case 28:
		{yyecho(); return or_tok;}
break;
case 29:
		{yyecho(); return l_par_tok;}
break;
case 30:
		{yyecho(); return r_par_tok;}
break;
case 31:
		{yyecho(); return percent_tok;}
break;
case 32:
		{yyecho(); return percent_assign_tok;}
break;
case 33:
		{yyecho(); return plus_tok;}
break;
case 34:
		{yyecho(); return plus_assign_tok;}
break;
case 35:
		{yyecho(); return rshift_assign_tok;}
break;
case 36:
		{yyecho(); return lshift_assign_tok;}
break;
case 37:
		{yyecho(); return slash_tok;}
break;
case 38:
		{yyecho(); return slash_assign_tok;}
break;
case 39:
		{yyecho(); return star_tok;}
break;
case 40:
		{yyecho(); return star_assign_tok;}
break;
case 41:
		{yyecho(); return semicolon_tok;}
break;
case 42:
		{yyecho(); return exclam_tok;}
break;
case 43:
	{yyecho();
			 yylval.i = atoi (yytext);
			 return number_tok;}
break;
case 44:
{yyecho();
			 int tok = name_or_keyword();
			 if (tok == name_tok)
			 {  yylval.s = new char[yyleng+1];
			    strcpy (yylval.s, yytext);
			 }
			 return tok;}
break;
case 45:
	{yyecho();}
break;
case 46:
		{yyecho(); cfe_error (err_USE, err_CFE_LEXICAL_ERROR);}
break;
case -1:
break;
default:
fprintf(yyout,"bad switch yylook %d",nstr);
} return(0); }
/* end of yylex */
int yyvstop[] = {
0,

46,
0,

45,
46,
0,

45,
0,

42,
46,
0,

31,
46,
0,

8,
46,
0,

29,
46,
0,

30,
46,
0,

39,
46,
0,

33,
46,
0,

21,
46,
0,

25,
46,
0,

37,
46,
0,

43,
46,
0,

20,
46,
0,

41,
46,
0,

6,
46,
0,

11,
46,
0,

7,
46,
0,

44,
46,
0,

14,
46,
0,

15,
46,
0,

18,
46,
0,

16,
46,
0,

12,
46,
0,

17,
46,
0,

46,
0,

45,
46,
0,

2,
45,
0,

42,
46,
0,

31,
46,
0,

8,
46,
0,

29,
46,
0,

30,
46,
0,

4,
39,
46,
0,

33,
46,
0,

21,
46,
0,

25,
46,
0,

37,
46,
0,

43,
46,
0,

20,
46,
0,

41,
46,
0,

6,
46,
0,

11,
46,
0,

7,
46,
0,

44,
46,
0,

14,
46,
0,

15,
46,
0,

18,
46,
0,

16,
46,
0,

12,
46,
0,

17,
46,
0,

27,
0,

32,
0,

10,
0,

9,
0,

40,
0,

34,
0,

26,
0,

1,
0,

38,
0,

43,
0,

24,
0,

22,
0,

23,
0,

44,
0,

19,
0,

13,
0,

28,
0,

2,
0,

4,
0,

27,
0,

32,
0,

10,
0,

9,
0,

3,
0,

34,
0,

26,
0,

1,
4,
0,

38,
0,

43,
0,

24,
0,

22,
0,

23,
0,

44,
0,

19,
0,

13,
0,

28,
0,

5,
0,

36,
0,

35,
0,

2,
5,
0,

4,
0,

36,
0,

35,
0,

3,
0,
0};
# define YYTYPE char
struct yywork { YYTYPE verify, advance; } yycrank[] = {
0,0,	0,0,	1,5,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	1,6,	1,7,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	1,8,	0,0,	
0,0,	0,0,	1,9,	1,10,	
0,0,	1,11,	1,12,	1,13,	
1,14,	1,15,	1,16,	10,59,	
1,17,	1,18,	79,84,	44,90,	
90,90,	17,64,	104,107,	0,0,	
0,0,	0,0,	17,65,	1,19,	
1,20,	1,21,	1,22,	1,23,	
8,57,	9,58,	1,24,	13,61,	
14,62,	16,63,	10,60,	2,8,	
17,66,	21,68,	21,69,	2,9,	
2,10,	22,70,	2,11,	2,12,	
27,74,	2,14,	2,15,	2,16,	
34,80,	2,17,	23,71,	23,72,	
35,81,	29,75,	36,82,	39,84,	
1,25,	31,77,	1,26,	1,27,	
2,19,	2,20,	2,21,	2,22,	
2,23,	31,77,	31,78,	40,85,	
42,86,	39,61,	48,93,	3,31,	
53,97,	43,87,	47,91,	47,92,	
55,98,	36,83,	43,88,	3,32,	
3,33,	49,94,	49,95,	50,96,	
68,101,	72,102,	91,105,	95,106,	
1,28,	1,29,	1,30,	0,0,	
43,89,	2,25,	0,0,	2,26,	
2,27,	0,0,	31,79,	0,0,	
50,96,	0,0,	96,96,	3,34,	
31,77,	0,0,	0,0,	3,35,	
3,36,	0,0,	3,37,	3,38,	
3,39,	3,40,	3,41,	3,42,	
29,76,	3,43,	3,44,	96,96,	
0,0,	31,77,	0,0,	0,0,	
0,0,	2,28,	2,29,	2,30,	
3,45,	3,46,	3,47,	3,48,	
3,49,	0,0,	0,0,	3,50,	
0,0,	0,0,	0,0,	55,99,	
4,34,	0,0,	0,0,	0,0,	
4,35,	4,36,	0,0,	4,37,	
4,38,	65,65,	4,40,	4,41,	
4,42,	0,0,	4,43,	0,0,	
0,0,	65,65,	65,100,	0,0,	
0,0,	3,51,	0,0,	3,52,	
3,53,	4,45,	4,46,	4,47,	
4,48,	4,49,	18,67,	18,67,	
18,67,	18,67,	18,67,	18,67,	
18,67,	18,67,	18,67,	18,67,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	65,65,	0,0,	
0,0,	3,54,	3,55,	3,56,	
65,65,	0,0,	4,51,	0,0,	
4,52,	4,53,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	65,65,	0,0,	0,0,	
24,73,	24,73,	24,73,	24,73,	
24,73,	24,73,	24,73,	24,73,	
24,73,	24,73,	0,0,	0,0,	
0,0,	0,0,	4,54,	4,55,	
4,56,	24,73,	24,73,	24,73,	
24,73,	24,73,	24,73,	24,73,	
24,73,	24,73,	24,73,	24,73,	
24,73,	24,73,	24,73,	24,73,	
24,73,	24,73,	24,73,	24,73,	
24,73,	24,73,	24,73,	24,73,	
24,73,	24,73,	24,73,	0,0,	
0,0,	0,0,	0,0,	24,73,	
0,0,	24,73,	24,73,	24,73,	
24,73,	24,73,	24,73,	24,73,	
24,73,	24,73,	24,73,	24,73,	
24,73,	24,73,	24,73,	24,73,	
24,73,	24,73,	24,73,	24,73,	
24,73,	24,73,	24,73,	24,73,	
24,73,	24,73,	24,73,	88,88,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	88,88,	
88,103,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
88,104,	0,0,	0,0,	0,0,	
0,0,	0,0,	88,88,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	88,88,	
0,0};
struct yysvf yysvec[] = {
0,	0,	0,
yycrank+-1,	0,		0,	
yycrank+-38,	yysvec+1,	0,	
yycrank+-106,	0,		0,	
yycrank+-143,	yysvec+3,	0,	
yycrank+0,	0,		yyvstop+1,
yycrank+0,	0,		yyvstop+3,
yycrank+0,	0,		yyvstop+6,
yycrank+3,	0,		yyvstop+8,
yycrank+4,	0,		yyvstop+11,
yycrank+9,	0,		yyvstop+14,
yycrank+0,	0,		yyvstop+17,
yycrank+0,	0,		yyvstop+20,
yycrank+6,	0,		yyvstop+23,
yycrank+7,	0,		yyvstop+26,
yycrank+0,	0,		yyvstop+29,
yycrank+8,	0,		yyvstop+32,
yycrank+11,	0,		yyvstop+35,
yycrank+158,	0,		yyvstop+38,
yycrank+0,	0,		yyvstop+41,
yycrank+0,	0,		yyvstop+44,
yycrank+13,	0,		yyvstop+47,
yycrank+16,	0,		yyvstop+50,
yycrank+25,	0,		yyvstop+53,
yycrank+204,	0,		yyvstop+56,
yycrank+0,	0,		yyvstop+59,
yycrank+0,	0,		yyvstop+62,
yycrank+19,	0,		yyvstop+65,
yycrank+0,	0,		yyvstop+68,
yycrank+28,	0,		yyvstop+71,
yycrank+0,	0,		yyvstop+74,
yycrank+-92,	0,		yyvstop+77,
yycrank+0,	yysvec+31,	yyvstop+79,
yycrank+0,	0,		yyvstop+82,
yycrank+-23,	yysvec+31,	yyvstop+85,
yycrank+-27,	yysvec+31,	yyvstop+88,
yycrank+-52,	yysvec+31,	yyvstop+91,
yycrank+0,	yysvec+31,	yyvstop+94,
yycrank+0,	yysvec+31,	yyvstop+97,
yycrank+44,	0,		yyvstop+100,
yycrank+-42,	yysvec+31,	yyvstop+104,
yycrank+0,	yysvec+31,	yyvstop+107,
yycrank+-43,	yysvec+31,	yyvstop+110,
yycrank+-67,	yysvec+31,	yyvstop+113,
yycrank+-3,	yysvec+31,	yyvstop+116,
yycrank+0,	yysvec+31,	yyvstop+119,
yycrank+0,	yysvec+31,	yyvstop+122,
yycrank+-50,	yysvec+31,	yyvstop+125,
yycrank+-45,	yysvec+31,	yyvstop+128,
yycrank+-56,	yysvec+31,	yyvstop+131,
yycrank+-71,	yysvec+31,	yyvstop+134,
yycrank+0,	yysvec+31,	yyvstop+137,
yycrank+0,	yysvec+31,	yyvstop+140,
yycrank+-47,	yysvec+31,	yyvstop+143,
yycrank+0,	yysvec+31,	yyvstop+146,
yycrank+-51,	yysvec+31,	yyvstop+149,
yycrank+0,	yysvec+31,	yyvstop+152,
yycrank+0,	0,		yyvstop+155,
yycrank+0,	0,		yyvstop+157,
yycrank+0,	0,		yyvstop+159,
yycrank+0,	0,		yyvstop+161,
yycrank+0,	0,		yyvstop+163,
yycrank+0,	0,		yyvstop+165,
yycrank+0,	0,		yyvstop+167,
yycrank+0,	0,		yyvstop+169,
yycrank+-184,	0,		0,	
yycrank+0,	0,		yyvstop+171,
yycrank+0,	yysvec+18,	yyvstop+173,
yycrank+59,	0,		0,	
yycrank+0,	0,		yyvstop+175,
yycrank+0,	0,		yyvstop+177,
yycrank+0,	0,		yyvstop+179,
yycrank+60,	0,		0,	
yycrank+0,	yysvec+24,	yyvstop+181,
yycrank+0,	0,		yyvstop+183,
yycrank+0,	0,		yyvstop+185,
yycrank+0,	0,		yyvstop+187,
yycrank+0,	yysvec+31,	0,	
yycrank+0,	0,		yyvstop+189,
yycrank+3,	0,		yyvstop+191,
yycrank+0,	yysvec+31,	yyvstop+193,
yycrank+0,	yysvec+31,	yyvstop+195,
yycrank+0,	yysvec+31,	yyvstop+197,
yycrank+0,	yysvec+31,	yyvstop+199,
yycrank+0,	0,		yyvstop+201,
yycrank+0,	yysvec+31,	yyvstop+203,
yycrank+0,	yysvec+31,	yyvstop+205,
yycrank+0,	yysvec+79,	yyvstop+207,
yycrank+-326,	0,		0,	
yycrank+0,	yysvec+31,	yyvstop+210,
yycrank+-4,	yysvec+31,	yyvstop+212,
yycrank+-61,	yysvec+31,	0,	
yycrank+0,	yysvec+31,	yyvstop+214,
yycrank+0,	yysvec+31,	yyvstop+216,
yycrank+0,	yysvec+31,	yyvstop+218,
yycrank+-62,	yysvec+31,	0,	
yycrank+-90,	yysvec+31,	yyvstop+220,
yycrank+0,	yysvec+31,	yyvstop+222,
yycrank+0,	yysvec+31,	yyvstop+224,
yycrank+0,	yysvec+31,	yyvstop+226,
yycrank+0,	0,		yyvstop+228,
yycrank+0,	0,		yyvstop+230,
yycrank+0,	0,		yyvstop+232,
yycrank+0,	0,		yyvstop+234,
yycrank+-7,	yysvec+65,	yyvstop+237,
yycrank+0,	yysvec+31,	yyvstop+239,
yycrank+0,	yysvec+31,	yyvstop+241,
yycrank+0,	yysvec+65,	yyvstop+243,
0,	0,	0};
struct yywork *yytop = yycrank+391;
struct yysvf *yybgin = yysvec+1;
char yymatch[] = {
00  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,011 ,012 ,01  ,011 ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
011 ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,'*' ,01  ,01  ,01  ,01  ,01  ,
'0' ,'0' ,'0' ,'0' ,'0' ,'0' ,'0' ,'0' ,
'0' ,'0' ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,
'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,
'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,
'A' ,'A' ,'A' ,01  ,01  ,01  ,01  ,'A' ,
01  ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,
'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,
'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,
'A' ,'A' ,'A' ,01  ,01  ,01  ,01  ,01  ,
0};
char yyextra[] = {
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0};
#ifndef lint
static	char ncform_sccsid[] = "@(#)ncform 1.6 88/02/08 SMI"; /* from S5R2 1.2 */
#endif

int yylineno =1;
# define YYU(x) x
# define NLSTATE yyprevious=YYNEWLINE
char yytext[YYLMAX];
struct yysvf *yylstate [YYLMAX], **yylsp, **yyolsp;
char yysbuf[YYLMAX];
char *yysptr = yysbuf;
int *yyfnd;
extern struct yysvf *yyestate;
int yyprevious = YYNEWLINE;
yylook(){
	register struct yysvf *yystate, **lsp;
	register struct yywork *yyt;
	struct yysvf *yyz;
	int yych, yyfirst;
	struct yywork *yyr;
# ifdef LEXDEBUG
	int debug;
# endif
	char *yylastch;
	/* start off machines */
# ifdef LEXDEBUG
	debug = 0;
# endif
	yyfirst=1;
	if (!yymorfg)
		yylastch = yytext;
	else {
		yymorfg=0;
		yylastch = yytext+yyleng;
		}
	for(;;){
		lsp = yylstate;
		yyestate = yystate = yybgin;
		if (yyprevious==YYNEWLINE) yystate++;
		for (;;){
# ifdef LEXDEBUG
			if(debug)fprintf(yyout,"state %d\n",yystate-yysvec-1);
# endif
			yyt = yystate->yystoff;
			if(yyt == yycrank && !yyfirst){  /* may not be any transitions */
				yyz = yystate->yyother;
				if(yyz == 0)break;
				if(yyz->yystoff == yycrank)break;
				}
			*yylastch++ = yych = input();
			yyfirst=0;
		tryagain:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"char ");
				allprint(yych);
				putchar('\n');
				}
# endif
			yyr = yyt;
			if ( (int)yyt > (int)yycrank){
				yyt = yyr + yych;
				if (yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				}
# ifdef YYOPTIM
			else if((int)yyt < (int)yycrank) {		/* r < yycrank */
				yyt = yyr = yycrank+(yycrank-yyt);
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"compressed state\n");
# endif
				yyt = yyt + yych;
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				yyt = yyr + YYU(yymatch[yych]);
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"try fall back character ");
					allprint(YYU(yymatch[yych]));
					putchar('\n');
					}
# endif
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transition */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				}
			if ((yystate = yystate->yyother) && (yyt= yystate->yystoff) != yycrank){
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"fall back to state %d\n",yystate-yysvec-1);
# endif
				goto tryagain;
				}
# endif
			else
				{unput(*--yylastch);break;}
		contin:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"state %d char ",yystate-yysvec-1);
				allprint(yych);
				putchar('\n');
				}
# endif
			;
			}
# ifdef LEXDEBUG
		if(debug){
			fprintf(yyout,"stopped at %d with ",*(lsp-1)-yysvec-1);
			allprint(yych);
			putchar('\n');
			}
# endif
		while (lsp-- > yylstate){
			*yylastch-- = 0;
			if (*lsp != 0 && (yyfnd= (*lsp)->yystops) && *yyfnd > 0){
				yyolsp = lsp;
				if(yyextra[*yyfnd]){		/* must backup */
					while(yyback((*lsp)->yystops,-*yyfnd) != 1 && lsp > yylstate){
						lsp--;
						unput(*yylastch--);
						}
					}
				yyprevious = YYU(*yylastch);
				yylsp = lsp;
				yyleng = yylastch-yytext+1;
				yytext[yyleng] = 0;
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"\nmatch ");
					sprint(yytext);
					fprintf(yyout," action %d\n",*yyfnd);
					}
# endif
				return(*yyfnd++);
				}
			unput(*yylastch);
			}
		if (yytext[0] == 0  /* && feof(yyin) */)
			{
			yysptr=yysbuf;
			return(0);
			}
		yyprevious = yytext[0] = input();
		if (yyprevious>0)
			output(yyprevious);
		yylastch=yytext;
# ifdef LEXDEBUG
		if(debug)putchar('\n');
# endif
		}
	}
yyback (int *p, int m)
	
{
if (p==0) return(0);
while (*p)
	{
	if (*p++ == m)
		return(1);
	}
return(0);
}
	/* the following are only used in the lex library */
yyinput(){
	return(input());
	}
yyoutput (int c)
 {
	output(c);
	}
yyunput (int c)
 {
	unput(c);
	}
